Skip to content
Start here

Get Cache Reserve setting

cache.cache_reserve.get(CacheReserveGetParams**kwargs) -> CacheReserveGetResponse
GET/zones/{zone_id}/cache/cache_reserve

Increase cache lifetimes by automatically storing all cacheable files into Cloudflare's persistent object storage buckets. Requires Cache Reserve subscription. Note: using Tiered Cache with Cache Reserve is highly recommended to reduce Reserve operations costs. See the developer docs for more information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings ReadZone ReadZone Write
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class CacheReserveGetResponse:

The identifier of the caching setting.

editable: bool

Whether the setting is editable.

value: Literal["on", "off"]

Value of the Cache Reserve zone setting.

One of the following:
"on"
"off"
modified_on: Optional[datetime]

Last time this setting was modified.

formatdate-time

Get Cache Reserve setting

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
cache_reserve = client.cache.cache_reserve.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(cache_reserve.id)
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "cache_reserve",
    "value": "off"
  },
  "success": true
}
{
  "errors": [
    {
      "code": 12345,
      "message": "Some error message"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "cache_reserve",
    "value": "off"
  },
  "success": true
}
{
  "errors": [
    {
      "code": 12345,
      "message": "Some error message"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}